Summary:        Resolve JSON Pointers in Python
Name:           python-jsonpointer
Version:        2.4
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/stefankoegl/python-json-pointer
Source0:        https://pypi.io/packages/source/j/jsonpointer/jsonpointer-%{version}.tar.gz

BuildArch:      noarch

%description
Library to resolve JSON Pointers according to RFC 6901.


%package -n python3-jsonpointer
Summary:        Resolve JSON Pointers in Python
BuildRequires:  python3-devel  python3-setuptools
Provides:       python3-jsonpointer

%description -n python3-jsonpointer
Library to resolve JSON Pointers according to RFC 6901.

%prep
%autosetup -n jsonpointer-%{version}

%build
%py3_build

%install

%py3_install
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}%{_bindir}/jsonpointer-%{python3_version}
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer-3
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer


%check
%{__python3} tests.py


%files -n python3-jsonpointer
%license LICENSE.txt
%doc README.md AUTHORS
%{_bindir}/jsonpointer
%{_bindir}/jsonpointer-3*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/jsonpointer.py*
%{python3_sitelib}/jsonpointer-%{version}-py%{python3_version}.egg-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Miaojun Dong <zoedong@tencent.com> - 2.4-1
- Bump version to 2.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.0-1
- package init.
